<?php

declare(strict_types=1);

namespace App\Entity\Message;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;

/**
 * TODO: documenter.
 */
#[ApiResource(operations: [])]
#[ORM\Table(name: 'ReportMessage')]
#[ORM\Entity]
// #[Auditable]
class ReportSms extends AbstractReport
{
    #[ORM\ManyToOne(targetEntity: Sms::class, inversedBy: 'reports')]
    #[ORM\JoinColumn('message_id')]
    private ?Sms $sms = null;

    //    #[ORM\Column(length: 255)]
    //    private string $mobile;

    #[ORM\Column(length: 15, nullable: true)]
    private ?string $smsId;

    public function getSms(): ?Sms
    {
        return $this->sms;
    }

    public function setSms(?Sms $sms): self
    {
        $this->sms = $sms;

        return $this;
    }

    //    public function setMobile(string $mobile): self
    //    {
    //        $this->mobile = $mobile;
    //        return $this;
    //    }
    //
    //    public function getMobile(): string
    //    {
    //        return $this->mobile;
    //    }

    public function setSmsId(?string $smsId): self
    {
        $this->smsId = $smsId;

        return $this;
    }

    public function getSmsId(): ?string
    {
        return $this->smsId;
    }
}
